iPhone Simualator Conflicts with Package Installer

Number:rdar://7214991 Date Originated:9/10/2009
Status:Duplicate/6941017 Resolved:
Product:iPhone SDK Product Version:SDK 3.0 and 3.1
Classification:Serious Bug Reproducible:Always
Whenever you try to install a Mac OS X application package via Installer while the iPhone Simulator is running the Installer will stall for no reason.  It wont fail or provide an error message, it will just sit there waiting with the user not knowning what is going on.  Once you quit the iPhone Simulator then Installer will resume and in most cases fail.   

This also effects System Update when installing updates in some cases.  That's harder to test reproducable effects due to the lack of an easy triggerable System Update.

Steps to Reproduce:
1. Start iPhone Configuration Utility
2. Open a .pkg or .mpkg file to trigger Installer to launch to install the application.
3. Continue through to the copy files phase

Expected Results:
I expect iPhone Simulator running not to interfere with the installng of Mac OS packages via Installer, packages should install with no issue.

Actual Results:
Installer will never finish, it will just sit hanging there.

I've tested this on Mac OS X 10.6 and 10.6.1, don't have a Tiger or Leopard machine on hand to test it on.

None at this time, nothing was noticable or unique to this happening on the Console so no log is attached.


Closed as dupe.

Apple closed it as a duplicate of rdar://6941017

By patrick.mccarron at Dec. 16, 2009, 11:44 p.m. (reply...)

I can confirm that

I had this happen to me yesterday. I didn't connect the dots at the time, but the iTunes software update hung inexplicably, twice, but when I retried it later after quitting iPhone Simulator, it worked without difficulty.

By DejalSystems at Sept. 24, 2009, 5:26 p.m. (reply...)

Good to know!

Looks like this resolves http://openradar.appspot.com/7105069

Package Dependent

On a quick second glance, it seems this may depend on what is being installed, it may only effect any Installer that touches the iPhone OS frameworks on the Drive.

iTunes Installer iPhone Configuration Utility Installer iPhone SDK Installer

Some packages seem to be fine otherwise.

By patrick.mccarron at Sept. 11, 2009, 2:40 a.m. (reply...)

Please note: Reports posted here will not necessarily be seen by Apple. All problems should be submitted at bugreport.apple.com before they are posted here. Please only post information for Radars that you have filed yourself, and please do not include Apple confidential information in your posts. Thank you!